    Program s14agfe

!     S14AGF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: nag_wp, s14agf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Complex (Kind=nag_wp)            :: y, z
      Integer                          :: ifail, ioerr
!     .. Executable Statements ..
      Write (nout,*) 'S14AGF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Write (nout,*)
      Write (nout,*) '       Z                 ln(Gamma(Z))'
      Write (nout,*)

data: Do
        Read (nin,*,Iostat=ioerr) z

        If (ioerr<0) Then
          Exit data
        End If

        ifail = -1
        y = s14agf(z,ifail)

        If (ifail<0) Then
          Exit data
        End If

        Write (nout,99999) z, y
      End Do data

99999 Format (1X,'(',F5.1,',',F5.1,' )   (',1P,E12.4,',',E12.4,' )')
    End Program s14agfe
